---
title: Permission Group Details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[IAM](https://developers.cloudflare.com/api/python/resources/iam)

[Permission Groups](https://developers.cloudflare.com/api/python/resources/iam/subresources/permission_groups)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Permission Group Details

iam.permission\_groups.get(strpermission\_group\_id, PermissionGroupGetParams\*\*kwargs) -> [PermissionGroupGetResponse](<https://developers.cloudflare.com/api/python/resources/iam#(resource)%20iam.permission_groups%20%3E%20(model)%20permission_group_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/iam/permission\_groups/{permission\_group\_id}

Get information about a specific permission group in an account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Trust and Safety Write``Trust and Safety Read``DNS View Write``DNS View Read``SCIM Provisioning``Load Balancers Account Write``Load Balancers Account Read``Zero Trust: PII Read``DDoS Botnet Feed Write``DDoS Botnet Feed Read``Workers R2 Storage Write``Workers R2 Storage Read``DDoS Protection Write``DDoS Protection Read``Workers Tail Read``Workers KV Storage Write``Workers KV Storage Read``Workers Scripts Write``Workers Scripts Read``Load Balancing: Monitors and Pools Write``Load Balancing: Monitors and Pools Read``Account Firewall Access Rules Write``Account Firewall Access Rules Read``DNS Firewall Write``DNS Firewall Read``Billing Write``Billing Read``Account Settings Write``Account Settings Read`

##### ParametersExpand Collapse

account\_id: str

Account identifier tag.

maxLength32

minLength32

[Link to this property](<#(resource)%20iam.permission_groups%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

permission\_group\_id: str

Permission Group identifier tag.

maxLength32

minLength32

[Link to this property](<#(resource)%20iam.permission_groups%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20permission_group_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class PermissionGroupGetResponse: …

A named group of permissions that map to a group of operations against resources.

</summary>

id: str

Identifier of the permission group.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20permission_group_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

meta: Optional\[Meta]

Attributes associated to the permission group.

</summary>

category: Optional\[str]

A category used to group permission groups.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20permission_group_get_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20category">Link to this property</a>

deprecated: Optional\[str]

Indicates whether the permission group is deprecated.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20permission_group_get_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20deprecated">Link to this property</a>

description: Optional\[str]

Additional information about the permission group.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20permission_group_get_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20description">Link to this property</a>

editable: Optional\[str]

Indicates whether the permission group can be edited.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20permission_group_get_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20editable">Link to this property</a>

eol\_at: Optional\[datetime]

The planned end-of-life date and time, when provided.

formatdate-time

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20permission_group_get_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20eol_at">Link to this property</a>

label: Optional\[str]

A label identifying the permission group.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20permission_group_get_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20label">Link to this property</a>

scopes: Optional\[str]

The scope associated with the permission group.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20permission_group_get_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20scopes">Link to this property</a>

visibility: Optional\[str]

Indicates the permission group’s availability or visibility.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20permission_group_get_response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20visibility">Link to this property</a>

</details>

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20permission_group_get_response%20%3E%20(schema)%20%3E%20(property)%20meta">Link to this property</a>

name: Optional\[str]

Name of the permission group.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20permission_group_get_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.permission_groups%20%3E%20(model)%20permission_group_get_response%20%3E%20(schema)>)

### Permission Group Details

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
permission_group = client.iam.permission_groups.get(
    permission_group_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(permission_group.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "6d7f2f5f5b1d4a0e9081fdc98d432fd1",
    "meta": {
      "category": "category",
      "deprecated": "deprecated",
      "description": "description",
      "editable": "editable",
      "eol_at": "2019-12-27T18:11:19.117Z",
      "label": "load_balancer_admin",
      "scopes": "com.cloudflare.api.account",
      "visibility": "visibility"
    },
    "name": "Load Balancer"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "6d7f2f5f5b1d4a0e9081fdc98d432fd1",
    "meta": {
      "category": "category",
      "deprecated": "deprecated",
      "description": "description",
      "editable": "editable",
      "eol_at": "2019-12-27T18:11:19.117Z",
      "label": "load_balancer_admin",
      "scopes": "com.cloudflare.api.account",
      "visibility": "visibility"
    },
    "name": "Load Balancer"
  }
}
```